#region File Header
// /////////////////////////////////////////////////////////////
// File: AboutForm.cs	Class: Kennedy.Controls.SSNTextBox
// Date:10/21/2004		Author: Michael Kennedy
// Language: C#			Framework: .NET
//
// Copyright: Copyright (c) Michael Kennedy, 2004
// /////////////////////////////////////////////////////////////
#endregion

namespace Kennedy.Controls
{
	public class SSNTextBox : ValidatingTextBox
	{
		public SSNTextBox()
		{
			this.PatternFull = @"^\d\d\d-\d\d-\d\d\d\d$";
			this.PatternPartial = 
				@"^(?>^\d{3}-\d\d-\d{4}$|^(?>^\d{3}-\d\d-\d{3}$|^(?>^\d{3}-\d\d-\d{2}$|^(?>" + 
				@"^\d{3}-\d\d-\d$|^(?>^\d{3}-\d\d-$|^(?>^\d{3}-\d\d$|^(?>^\d{3}-\d$|^(?>^\d{3}" + 
				@"-$|^(?>^\d{3}$|^(?>^\d{2}$|(^\d$|^&)))))))))))$";
		}
	}
}
