#region File Header
// /////////////////////////////////////////////////////////////
// File: AboutForm.cs	Class: Kennedy.Controls.SampleApp.App
// Date:10/21/2004		Author: Michael Kennedy
// Language: C#			Framework: .NET
//
// Copyright: Copyright (c) Michael Kennedy, 2004
// /////////////////////////////////////////////////////////////
#endregion

using System;
using System.Windows.Forms;

namespace Kennedy.Controls.SampleApp
{
	public class App
	{
		private App() {}

		[STAThread]
		private static void Main()
		{
			try
			{
				Application.EnableVisualStyles();
				Application.DoEvents();

				Application.Run(new MainForm());
			}
			catch (Exception x)
			{
				string msg = "Critical error on startup: " + x.Message;
				MessageBox.Show(msg, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}
	}
}
